Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 7641)
+++ /extensions/Autosize/autosize.inc.php	(revision 7642)
@@ -148,4 +148,15 @@
        
 	}// function cl_autosize_script
+	static public function cl_add_css(){
+	    global  $template,$user,$conf,$picture ;
+		$path = get_root_url().'plugins/'. basename(dirname(__FILE__)).'/';
+		$template->append('head_elements', '
+			<link rel="stylesheet" type="text/css" href="'.$path.'css/autosize.css">
+			<script type="text/javascript" src="'.$path.'js/css.js"></script>
+			<script type="text/javascript">
+				 
+			</script>'
+		);
+	}
 	/*
 	*
@@ -154,38 +165,32 @@
 	   global  $template,$user,$conf,$picture ;
 	   		$my_path = realpath(AUTOSIZE_PATH .'/');
-	 $userdata=$user;
-	 $fields = array( 'maxwidth', 'maxheight' );
+			$userdata=$user;
+			$fields = array( 'maxwidth', 'maxheight' );
 	 
-	 $ThePicture = $template->get_template_vars('current'); 
+			$ThePicture = $template->get_template_vars('current'); 
 			$data = array();
 			
 
- return $content;
+		return $content;
 
 			$data['maxwidth'] = '1200';
-$data['maxheight'] ='250';
+			$data['maxheight'] ='250';
 			$data['user_id'] = $userdata['id'];
-	   foreach ($fields as $field)
-      {
-        if (isset($_POST[$field]))
-        {
-          $data[$field] = $_POST[$field];
-        }
-      }
+			foreach ($fields as $field){
+				if (isset($_POST[$field])){
+						$data[$field] = $_POST[$field];
+						}
+				}
 	
-	if($data['maxwidth'] != "" )
-{
+	if($data['maxwidth'] != "" ){
         $picture['current']['scaled_width']=$data['maxwidth'];
 		 $picture['current']['scaled_height']=$data['maxheight'];
-       mass_updates(USER_INFOS_TABLE,
-                   array('primary' => array('user_id'), 'update' => $fields),
-                   array($data));
-	
-}
-
- 
+					mass_updates(USER_INFOS_TABLE,
+					array('primary' => array('user_id'), 'update' => $fields),
+					array($data));
+				}
    return $content;
    /*
- $template->assign(
+			$template->assign(
   						array(
 						'AUTOSIZE_PATH' => $my_path,
@@ -194,6 +199,6 @@
 						 );
  
-		$template->parse( 'autosize_cl_init', false);
-	return $content;
+				$template->parse( 'autosize_cl_init', false);
+				return $content;
 	*/
 
Index: /extensions/Autosize/css/autosize.css
===================================================================
--- /extensions/Autosize/css/autosize.css	(revision 7642)
+++ /extensions/Autosize/css/autosize.css	(revision 7642)
@@ -0,0 +1,4 @@
+#theImage{opacity: 0.0 ;
+       filter: 'alpha(opacity:0)'; 
+       } 
+    }
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7641)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7642)
@@ -20,60 +20,32 @@
 }
 //=========================================================
-
-function wait_Timer() {
-    old_w = 0
+/*
+window.onresize = resize;
+window.onload = load;
+
+function resize() {
+    alert("resize event detected!");
+}
+function load() {
+    alert("load event detected!");
+}
+*/
+jQuery(document).ready(
+      function (jQuery) {
+          jQuery("#theImage").css({ opacity: "0.0", filter: 'alpha(opacity:0)' });
+          jQuery(window).load(function (event) {
+              jQuery("#theImage").css({ opacity: "0.0", filter: 'alpha(opacity:0)' });
+              setTimeout('wait_Timer()', 20);
+
+              function handler(event) {
+                   
+              
+                  jQuery("#theImage").css({ opacity: event.data.opacity, filter: 'alpha(opacity:' + event.data.opacity * 100 + ')' }); 
+              }
+              jQuery(window).bind("resize", { opacity: "1" }, handler)
+
  
-    if (DEBUG == "true") {
-        info_pamoorama_outter = jQuery("#pamoorama_outter").info();
-        jQuery("#Debug1").css({
-            filter: 'alpha(opacity:50)',
-            position: "absolute",
-            border: "solid 1px green",
-            top: 400 + "px",
-            width: (200) + "px",
-            height: 400 + "px"
-        });
-        jQuery("#Debug1").text("Debug1:info : " + info_pamoorama_outter.width +
-    " : " + info_pamoorama_outter.height
-    );
-    }
-    if (jQuery("#pamoorama").length>0)
-        if (info_pamoorama_outter.height == 0) {
-        
-            setTimeout('wait_Timer()', 300);
-            return 
-        }
-       jQuery(window).resize();
-       jQuery("#theImage").css({       filter: 'alpha(opacity:100)',opacity:1 });
-
-}
-
-/*
-*
-*/
-jQuery("#pamoorama").bind('resize', function () {
-    wait_Timer();
-})
-
-jQuery("#pamoorama_iner").bind('resize', function () {
-    wait_Timer();
-})
-//============================================================//==
-jQuery("#pamoorama_outter").bind('resize', function () {
-    wait_Timer();
-})
-
-
-jQuery(document).ready(
-
-      function (jQuery) {
-          jQuery("#theImage").css({ filter: 'alpha(opacity:10)', opacity: "0.1" });
-
-          jQuery(window).load(function () {
-              setTimeout('wait_Timer()', 600);
-              
-             // jQuery("#theImage").get(0).attachEvent('onpropertychange', onPropertyChange);
-          }
-         );
+          });
+
 
 
@@ -96,265 +68,9 @@
               marges_llgbo = (ll1.width - ll2.width) + ll2.borderwidth.left + ll2.borderwidth.right;
           }
-
-
-
-
-
-          //=============================================================
-          function cl_Timer() {
-              //   if (!jQuery.browser.msie) { jQuery(function () { alert(jQuery.browser.version); }); }
-              if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 8)
-                  alert(jQuery.browser.version);
-              panoramaContainer = jQuery(".panorama-container");
-              n = document.scripts[6]; //12--14affiche_script ;
-              t = n.src;
-
-              currentPosition = 0 - parseInt(jQuery(panoramaContainer).css('margin-left'));
-              if (currentPosition == NaN) return;
-
-
-              if (currentPosition > 1000)
-                  jQuery(panoramaContainer).css('margin-left', "0px")
-              setTimeout("cl_Timer()", 500);
-          }
-          //=============================================================
-          function onPropertyChange(e) {
-              var el = e.srcElement;
-              var new_class = el.className;
-              ID = el.id;
-              Prop = e.propertyName.split(".");
-              Property = Prop[1];
-              if (Property == "display") {
-                  Valeur = parseInt(el.currentStyle[Property]);
-                  if (Valeur == "block") {
-
-
-                  }
-              }
-              return;
-          }
-
-          /* ready
-          *
-          *
-          */
-          //============================================================
           /*
           *
           */
-          function Info_entete(Parent) {
-
-              var info_imageToolBar = jQuery("#imageToolBar").info();
-              if (info_imageToolBar.position == "absolute") {
-                  jQuery("#imageToolBar").css("position", "relative");
-                  jQuery("#imageToolBar").css("top", 0 + "px");
-              }
-
-              var info_theImage = jQuery("#theImage").info();
-
-              if (info_theImage.position == "relative") {
-                  //--- passage relative ==> static ===/
-                  jQuery("#theImage").css("position", "static");
-                  info_theImage = jQuery("#theImage").info();
-
-              }
-              if (info_theImage.position == "absolute") {
-                  //--- passage absolute ==> static ===/
-                  jQuery("#theImage").css("position", "static");
-                  info_theImage = jQuery("#theImage").info();
-
-              }
-
-              marge_top = Info_the_page.top +
-                                     Info_the_page.borderwidth.top +
-                                     info_theImage.borderwidth.top;
-
-              img_top = info_theImage.top + info_theImage.borderwidth.top;
-              return { marge_top: marge_top, img_top: img_top };
-
-          }
-
-          /* Récupère les informations sur la description.
-          *
-          */
-          function Info_description(Parent) {
-              //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
-              //=============================================================================
-              var info_description = { top: 0, bottom: 0, height: 0 };
-              if (theme.match(RegExp("simple", "gi"))) {
-                  jQuery("#" + Parent).css({ padding: "0px",
-                      marginLeft: "0px",
-                      marginRight: "auto",
-                      marginTop: "0px",
-                      marginBottom: "0px", position: "absolute", top: Bandeau + "px"
-                  });
-              } else {
-
-                  jQuery("#" + Parent).css({ padding: "0px",
-                      marginLeft: "auto",
-                      marginRight: "auto",
-                      marginTop: "0px",
-                      marginBottom: "0px"
-                  });
-
-
-              }
-
-
-              //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
-
-
-              if (theme.match(RegExp("luciano", "g"))) {
-                  info_img = jQuery("#" + Parent + " #theImg img").info();
-
-              } else {
-
-                  info_img = jQuery("#" + Parent + " img").info();
-              }
-
-              info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
-                  top: info_img.padding.top + info_img.borderwidth.top
-              }
-
-              info_description.top = info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
-              //=============================================================================
-              info_gbo = jQuery("#gbo").info();
-              if (info_description.top < info_gbo.bottom)
-                  info_description.top = info_gbo.bottom;
-              //=============================================================================
-              info_desc = jQuery("#" + Parent + " p:first").info();
-              if (info_desc.bottom < info_img.bottom)
-                  info_desc.bottom = info_img.bottom;
-
-              //  if (info_desc.top > info_img.bottom)
-              //     info_description.top = info_desc.top;
-
-              if (jQuery("#Panorama").length) {
-                  Type_Img = "panorama";
-                  //  cl_visible = false;
-
-              }
-              info_table = jQuery(".infoTable").info();
-
-              if (info_table.top > info_description.bottom)
-                  info_description.bottom = info_table.top;
-              //===========================================================================
-
-              info_licencetag = jQuery(".licencetag").info();
-
-
-              if (info_licencetag.bottom > 0) {
-                  jQuery(".licencetag").css("border", "solid 5px transparent");
-                  if (info_licencetag.bottom > info_description.bottom) {
-                      info_description.bottom = info_licencetag.bottom;
-                  }
-                  else
-                      info_description.bottom += info_table.margin.top + info_table.padding.top;
-
-              }
-              //=============================================================================
-              if (theme.match(RegExp("gally", "gi"))) {
-                  if (!theme.match(RegExp("lapis", "gi"))) {
-                      info_description.bottom = info_description.bottom
-                  }
-              }
-
-
-
-
-
-              if (info_description.top < 1)
-                  info_description.top = info_description.bottom;
-
-
-              if (info_description.bottom < info_description.top) {
-                  info_description.bottom = info_description.top;
-
-                  info_desc = jQuery("#" + Parent + " p:last").info();
-
-                  if (info_desc.bottom > info_img.bottom)
-                      info_description.bottom = info_desc.bottom;
-              }
-
-
-              if (theme.match(RegExp("gally", "g"))) {
-                  if (!theme.match(RegExp("lapis", "gi"))) {
-                      info_copyright = jQuery("#copyright").info();
-                      info_description.bottom += info_copyright.height;
-                  }
-              }
-
-              if (theme.match(RegExp("luciano", "g"))) { info_description.bottom -= 30 }
-
-              info_description.height = info_description.bottom - info_description.top;
-
-
-              if (DEBUG == "true") {
-
-                  /*  jQuery("#Debug").text(jQuery("#Debug").text() + user_status);    
-        
-
-                  info_description.width = "800";
-                  */
-                  jQuery("#Debug").css('display', 'block');
-                  jQuery("#Debug1").show();
-                  jQuery("#Debug2").show();
-                  Bandeau_bas = info_description;
-
-                  jQuery("#Debug").css({ opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      width: "800px",
-                      border: "solid 1px green",
-                      top: Bandeau + "px"
-                  });
-                  jQuery("#Debug").text("Debug:Bandeau : " + Bandeau);
-
-                  jQuery("#Debug1").css({ opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      border: "solid 1px green",
-                      top: Bandeau_bas.top + "px",
-                      width: (200) + "px",
-                      height: Bandeau_bas.height + "px"
-                  });
-                  jQuery("#Debug1").text("Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height);
-
-                  jQuery("#Debug2").css({ opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      left: '50px',
-                      width: (300) + "px",
-                      border: "solid 1px green", top: Bandeau_bas.bottom + "px"
-                  });
-                  jQuery("#Debug2").text("Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom);
-
-              }
-
-              if (check_desc_v != 'checked="checked"') {
-                  info_description.height = 0;
-              }
-
-              return info_description;
-
-          }
-
-
-
-
-          //============================================================
-          jQuery("#iGMapsIcon").bind('resize', function () {
-              jQuery().recentrage_widget();
-          })
-          jQuery("#icon_gmaps").bind('click', function () {
-              jQuery().recentrage_widget();
-          })
-
-
-
-
-
-
-          /* jQuery */
+
+
           var img_init = { height: img_height, width: img_width };  // taille initiale
           var img_defaut = { height: scaled_height, width: scaled_width };
@@ -374,10 +90,10 @@
           Bandeau_bas = Info_description("theImage");
           //===================================================================	
+
           /*
           * window .resize
           */
-
-
           jQuery(window).resize(function (event, ui) {
+
               if (typeof (event) == 'undefined') return;
               if (!cl_visible == true) return;
@@ -468,19 +184,27 @@
               if (Type_Img == "pamoorama") {
                   var myPamoorama = this.myPamoorama;
-
+                  //=====================================================
+
+
+
+                  //=====================================================
                   if (typeof (myPamoorama) == "undefined") {
-
-
                       return
                   }
-
-
-                  if (typeof (myPamoorama.imageHeight) == "undefined") {
+                  if (myPamoorama.skipInit == false)
+                      return
+
+                  var h01 = typeof (myPamoorama.imageHeight);
+
+                  if (h01 == "undefined") {
                       old_w = 0;
                       old_h = 0;
-
-
                       return;
                   }
+
+                  //=============================================
+
+
+
 
                   /*
@@ -616,4 +340,15 @@
                       TheImg = jQuery("#pamoorama");
 
+                      if (info_pamoorama_outter.height == 0) {
+                          old_h = 0;
+                          jQuery(window).resize();
+                          return
+                      }
+                      //   event = window.event ? window.event : event;
+                      ;
+                      //  jQuery("#pamoorama_outter").trigger(jQuery.browser.msie ? "propertychange" : "change", [event]);
+                      //
+                      //   jQuery("#pamoorama_outter").trigger("onPropertychange", [event]);
+
                       img_reelle.height = myPamoorama.imageHeight;
                       img_reelle.width = myPamoorama.imageWidth;
@@ -1065,11 +800,214 @@
                   pos = jQuery("#copyright").info();
               if (pos.top > 100) jQuery("#the_page").height(pos.top);
+
               if (old_w == jQuery(window).width() && old_h == jQuery(window).height()) return;
-              //jQuery(window).resize();
+
+
               return;
-          });
+          }); // fin resize
           var pos;
-          //===================================================================	  
-          //jQuery(window).resize();
+          //================================================
+          function Info_entete(Parent) {
+
+              var info_imageToolBar = jQuery("#imageToolBar").info();
+              if (info_imageToolBar.position == "absolute") {
+                  jQuery("#imageToolBar").css("position", "relative");
+                  jQuery("#imageToolBar").css("top", 0 + "px");
+              }
+
+              var info_theImage = jQuery("#theImage").info();
+
+              if (info_theImage.position == "relative") {
+                  //--- passage relative ==> static ===/
+                  jQuery("#theImage").css("position", "static");
+                  info_theImage = jQuery("#theImage").info();
+
+              }
+              if (info_theImage.position == "absolute") {
+                  //--- passage absolute ==> static ===/
+                  jQuery("#theImage").css("position", "static");
+                  info_theImage = jQuery("#theImage").info();
+
+              }
+
+              marge_top = Info_the_page.top +
+                                     Info_the_page.borderwidth.top +
+                                     info_theImage.borderwidth.top;
+
+              img_top = info_theImage.top + info_theImage.borderwidth.top;
+              return { marge_top: marge_top, img_top: img_top };
+
+          }
+
+          /* Récupère les informations sur la description.
+          *
+          */
+          function Info_description(Parent) {
+              //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
+              //=============================================================================
+              var info_description = { top: 0, bottom: 0, height: 0 };
+              if (theme.match(RegExp("simple", "gi"))) {
+                  jQuery("#" + Parent).css({ padding: "0px",
+                      marginLeft: "0px",
+                      marginRight: "auto",
+                      marginTop: "0px",
+                      marginBottom: "0px", position: "absolute", top: Bandeau + "px"
+                  });
+              } else {
+
+                  jQuery("#" + Parent).css({ padding: "0px",
+                      marginLeft: "auto",
+                      marginRight: "auto",
+                      marginTop: "0px",
+                      marginBottom: "0px"
+                  });
+
+
+              }
+
+
+              //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
+
+
+              if (theme.match(RegExp("luciano", "g"))) {
+                  info_img = jQuery("#" + Parent + " #theImg img").info();
+
+              } else {
+
+                  info_img = jQuery("#" + Parent + " img").info();
+              }
+
+              info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
+                  top: info_img.padding.top + info_img.borderwidth.top
+              }
+
+              info_description.top = info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
+              //=============================================================================
+              info_gbo = jQuery("#gbo").info();
+              if (info_description.top < info_gbo.bottom)
+                  info_description.top = info_gbo.bottom;
+              //=============================================================================
+              info_desc = jQuery("#" + Parent + " p:first").info();
+              if (info_desc.bottom < info_img.bottom)
+                  info_desc.bottom = info_img.bottom;
+
+              //  if (info_desc.top > info_img.bottom)
+              //     info_description.top = info_desc.top;
+
+              if (jQuery("#Panorama").length) {
+                  Type_Img = "panorama";
+                  //  cl_visible = false;
+
+              }
+              info_table = jQuery(".infoTable").info();
+
+              if (info_table.top > info_description.bottom)
+                  info_description.bottom = info_table.top;
+              //===========================================================================
+
+              info_licencetag = jQuery(".licencetag").info();
+
+
+              if (info_licencetag.bottom > 0) {
+                  jQuery(".licencetag").css("border", "solid 5px transparent");
+                  if (info_licencetag.bottom > info_description.bottom) {
+                      info_description.bottom = info_licencetag.bottom;
+                  }
+                  else
+                      info_description.bottom += info_table.margin.top + info_table.padding.top;
+
+              }
+              //=============================================================================
+              if (theme.match(RegExp("gally", "gi"))) {
+                  if (!theme.match(RegExp("lapis", "gi"))) {
+                      info_description.bottom = info_description.bottom
+                  }
+              }
+
+
+
+
+
+              if (info_description.top < 1)
+                  info_description.top = info_description.bottom;
+
+
+              if (info_description.bottom < info_description.top) {
+                  info_description.bottom = info_description.top;
+
+                  info_desc = jQuery("#" + Parent + " p:last").info();
+
+                  if (info_desc.bottom > info_img.bottom)
+                      info_description.bottom = info_desc.bottom;
+              }
+
+
+              if (theme.match(RegExp("gally", "g"))) {
+                  if (!theme.match(RegExp("lapis", "gi"))) {
+                      info_copyright = jQuery("#copyright").info();
+                      info_description.bottom += info_copyright.height;
+                  }
+              }
+
+              if (theme.match(RegExp("luciano", "g"))) { info_description.bottom -= 30 }
+
+              info_description.height = info_description.bottom - info_description.top;
+
+
+              if (DEBUG == "true") {
+
+                  /*  jQuery("#Debug").text(jQuery("#Debug").text() + user_status);    
+        
+
+                  info_description.width = "800";
+                  */
+                  jQuery("#Debug").css('display', 'block');
+                  jQuery("#Debug1").show();
+                  jQuery("#Debug2").show();
+                  Bandeau_bas = info_description;
+
+                  jQuery("#Debug").css({
+                      opacity: "0.50",
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      width: "800px",
+                      border: "solid 1px green",
+                      top: Bandeau + "px"
+                  });
+                  jQuery("#Debug").text("Debug:Bandeau : " + Bandeau);
+
+                  jQuery("#Debug1").css({ opacity: "0.50",
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      border: "solid 1px green",
+                      top: Bandeau_bas.top + "px",
+                      width: (200) + "px",
+                      height: Bandeau_bas.height + "px"
+                  });
+
+                  //   jQuery("#Debug1").text(jQuery("#Debug1").text()+"Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height);
+
+                  jQuery("#Debug2").css({ opacity: "0.50",
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      left: '50px',
+                      width: (300) + "px",
+                      border: "solid 1px green", top: Bandeau_bas.bottom + "px"
+                  });
+                  jQuery("#Debug2").text("Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom);
+
+              }
+
+              if (check_desc_v != 'checked="checked"') {
+                  info_description.height = 0;
+              }
+
+              return info_description;
+
+          }
+          //==================================================================================
+
+          //======== jQuery(window).resize();===========================================================	  
+
           /*
           * recherche la plus grande image (hauteur ou largeur)
@@ -1098,8 +1036,149 @@
 
       } // function
-);                                                                                                                                                                                                                                                                                                                                                                                                                                                                     // ready
-    /*
-*
-*/
+);
+
+
+
+      /*
+      *
+      */
+      jQuery("#pamoorama").bind(jQuery.browser.msie ? "propertychange" : "change", function (event) {
+
+          onPropertyChange(event);
+      })
+      jQuery("#pamoorama_frame").bind(jQuery.browser.msie ? "propertychange" : "change", function (event) {
+          onPropertyChange(event);
+      })
+
+      jQuery(window).load(function () {
+          //  jQuery(window).resize();
+          //  setTimeout("wait_Timer()", 500); 
+
+          jQuery("#pamoorama").resize(function () {
+
+              jQuery("#pamoorama").bind('resize', function () {
+                  jQuery("#pamoorama_outter").bind(
+                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
+                          event.stopPropagation();
+                          onPropertyChange(event);
+                      });
+              });
+          });
+
+      });
+      //=============================================================
+      function cl_Timer() {
+          //   if (!jQuery.browser.msie) { jQuery(function () { alert(jQuery.browser.version); }); }
+          if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 8)
+              alert(jQuery.browser.version);
+          panoramaContainer = jQuery(".panorama-container");
+          n = document.scripts[6]; //12--14affiche_script ;
+          t = n.src;
+
+          currentPosition = 0 - parseInt(jQuery(panoramaContainer).css('margin-left'));
+          if (currentPosition == NaN) return;
+
+
+          if (currentPosition > 1000)
+              jQuery(panoramaContainer).css('margin-left', "0px")
+          setTimeout("cl_Timer()", 500);
+      }
+
+
+      //============================================================
+      jQuery("#iGMapsIcon").bind('resize', function () {
+          jQuery().recentrage_widget();
+      })
+      jQuery("#icon_gmaps").bind('click', function () {
+          jQuery().recentrage_widget();
+      })
+
+
+
+
+
+      //=====================================================================
+      jQuery("#pamoorama").bind("resize", function (event) {
+          onPropertyChange(event);
+      })
+      
+      jQuery("#pamoorama").bind(
+                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
+                          onPropertyChange(event);
+                      });
+
+
+      jQuery("#pamoorama_outter").bind(
+                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
+
+                          onPropertyChange(event);
+                      });
+      jQuery("#pamoorama_footer").bind(
+                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
+
+                          onPropertyChange(event);
+                      });
+      jQuery("#pamoorama_frame").bind(
+                      jQuery.browser.msie ? "propertychange" : "change", function (event) {
+
+                          onPropertyChange(event);
+                      });
+
+      //=============================================================
+      //frame.injectInside
+      function onPropertyChange(e) {
+
+          var el = e.srcElement;
+          if (e.srcElement == null) return
+          ID = el.id;
+          if (jQuery.browser.msie)
+              PropertyName = window.event.propertyName;
+          else
+              PropertyName = window.evt.propertyName;
+
+          if (!PropertyName) return;
+          Prop = PropertyName.split(".");
+
+          Valeur = "";
+          Property = Prop[1];
+          if (typeof (Property) != "undefined") {
+              Valeur = parseInt(el.currentStyle[Property]);
+          } else {
+              Property = Prop[0];
+          }
+          if (DEBUG == "true") {
+
+              if (typeof (message) == "undefined") message = jQuery("#Debug1").text();
+
+              jQuery("#Debug1").css({
+                  filter: 'alpha(opacity:60)',
+                  opacity: 0.8,
+                  position: "absolute",
+                  border: "solid 1px green",
+                  top: 100 + "px",
+                  width: "auto",
+                  height: 400 + "px"
+              });
+              if (ID != "pamoorama") {
+                  message += "onPropertyChange : " + ID + " : " + Property + " : " + Valeur + "\n";
+                  jQuery("#Debug1").text(message);
+              }
+
+
+              if (ID == "pamoorama_outter" & Property == "left" && Valeur == -2) {
+                  jQuery("#theImage").css({ filter: 'alpha(opacity:100)', opacity: 1 });
+                  jQuery("#theImage").css({ filter: 'alpha(opacity:100)', opacity: 1 });
+              }
+              if (Valeur == "block") {
+
+
+              }
+          }
+          return;
+      } 
+      //====================================================================                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           // ready
+        /*
+        *
+        */
     jQuery.extend(jQuery.expr[':'], {
         // Nom du sélecteur personnalisé
@@ -1131,2 +1210,33 @@
         //=========================================================
     });          // fin extend
+
+
+    function wait_Timer() {
+        old_w = 0
+
+        if (DEBUG == "true") {
+            info_pamoorama_outter = jQuery("#pamoorama_outter").info();
+            jQuery("#Debug1").css({
+                filter: 'alpha(opacity:50)',
+                position: "absolute",
+                border: "solid 1px green",
+                top: 400 + "px",
+                width: 400 + "px",
+                height: "auto"
+            });
+               jQuery("#Debug1").text("Debug1:info : " + info_pamoorama_outter.width +
+             " : " + info_pamoorama_outter.height
+             );
+        }
+        if (jQuery("#pamoorama").length > 0)
+            if (info_pamoorama_outter.height == 0) {
+
+                //      setTimeout('wait_Timer()', 300);
+                return
+            }
+         jQuery(window).resize();
+       
+
+    }
+
+
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 7641)
+++ /extensions/Autosize/js/conflit.js	(revision 7642)
@@ -13,6 +13,4 @@
       function (jQuery) {
 
-
-
            tpj = jQuery("#pamoorama");
           if (tpj.length > 0) {             }
@@ -27,13 +25,4 @@
 
 
-              tp = typeof (Browser);
-              if (tp != "undefined")
-                  if (Browser.loaded == true) {
-                      n = Browser;
-                  }
-                  function $(element, nc) {
-                      return conflit(element, nc);
-                  }
-             
           });
 
@@ -82,6 +71,6 @@
       
         var jq = jQuery(element).selector;
-        var ret_el ={  prototype : ret_proto,
-                        pamoorama : ret_pamoorama,
+        var ret_el ={  Prototype : ret_proto,
+                        Pamoorama : ret_pamoorama,
                         jquery :     jQuery(element),
                         Luciano: ret_Luciano
@@ -94,6 +83,6 @@
                         }
                           
-                        if (Prototype_Version != "0") return ret_el.prototype; //rv_gmaps 
-                        if (MooTools_version == "pamoorama") return ret_el.pamoorama;
+                        if (Prototype_Version != "0") return ret_el.Prototype; //rv_gmaps 
+                        //if (MooTools_version == "pamoorama") return ret_el.Pamoorama;
                         return ret_el.jquery;
                         j = nc;
@@ -118,5 +107,5 @@
             if (arguments.caller.length > 1) {
                 if (element == "pamoorama") {
-                    return ret_el.pamoorama
+                    return ret_el.Pamoorama
                 }
                 arg = arguments.caller[1];
@@ -128,16 +117,16 @@
                         case "dom:loaded":
                             return element;
-                            return ret_el.prototype
+                            return ret_el.Prototype
                             break;
                         case "load":
-                            return ret_el.prototype
+                            return ret_el.Prototype
                             break;
                         case "unload":
-                            return ret_el.prototype
+                            return ret_el.Prototype
                             break;
                         case "prototype_event_registry":
 
                             try {
-                                retour = ret_el.prototype;
+                                retour = ret_el.Prototype;
                             } catch (e) {
                                 retour = null;
@@ -169,49 +158,49 @@
                         switch (arg) {
                             case "bottom":
-                                return ret_el.pamoorama
+                                return ret_el.Pamoorama
                                 break;
                             case "left":
-                                return ret_el.pamoorama
+                                return ret_el.Pamoorama
                                 break;
                             case "prototype_event_registry":
-                                return ret_el.pamoorama
+                                return ret_el.Pamoorama
                                 break;
                             case "readystatechange":
-                                return ret_el.pamoorama
+                                return ret_el.Pamoorama
                                 break;
 
                             default:
                                 if (arg.area) {
-                                    return ret_el.pamoorama
+                                    return ret_el.Pamoorama
                                 } else
                                     if (arg.velocity) {
-                                        return ret_el.pamoorama
+                                        return ret_el.Pamoorama
                                     } else if (arg.src) {
-                                        return ret_el.pamoorama
+                                        return ret_el.Pamoorama
                                     } else if (arg.modifiers) {
-                                        return ret_el.pamoorama
+                                        return ret_el.Pamoorama
                                     } else if (arg.limit) {
-                                        return ret_el.pamoorama
+                                        return ret_el.Pamoorama
                                     } else if (arg.duration) {
-                                        return ret_el.pamoorama
+                                        return ret_el.Pamoorama
                                     } else if (arg.id) {
                                         switch (arg.id) {
                                             case "pamoorama_footer":
-                                                return ret_el.pamoorama
+                                                return ret_el.Pamoorama
                                                 break;
                                             case "pamoorama_outter":
-                                                return ret_el.pamoorama
+                                                return ret_el.Pamoorama
                                                 break;
                                             case "pamoorama_inner":
-                                                return ret_el.pamoorama
+                                                return ret_el.Pamoorama
                                                 break;
 
                                             default:
-                                                return ret_el.pamoorama
+                                                return ret_el.Pamoorama
                                                 break;
 
                                         }
                                     } else if (arg.src) {
-                                        return ret_el.pamoorama
+                                        return ret_el.Pamoorama
 
                                     }
@@ -237,5 +226,5 @@
                 if (element.match(/[a-z]_[a-z]/)) {
 
-                    return ret_el.prototype
+                    return ret_el.Prototype
                 }
                 id = "window_" + new Date().getTime();
@@ -244,5 +233,5 @@
 
                     if (element.match(/_[a-z]/)) {
-                        return ret_el.prototype
+                        return ret_el.Prototype
                     }
                     return null;
@@ -264,11 +253,11 @@
         if (MooTools_version == "Luciano" && tpe == "string") {
             //=== theme Luciano ====
-            ret_el.jquery = ret_el.Luciano;
-            if (element == "order") return ret_el.jquery;
-            if (element == "themeSelect") return ret_el.jquery;
-            if (element == "languageSelect") return ret_el.jquery;
-            if (element == 'linkPrev') return ret_el.jquery;
-            if (element == 'linkNext') return ret_el.jquery;
-            if (element == 'rateForm') return ret_el.jquery;
+           
+            if (element == "order") return ret_el.Luciano;
+            if (element == "themeSelect") return ret_el.Luciano;
+            if (element == "languageSelect") return ret_el.Luciano;
+            if (element == 'linkPrev') return ret_el.Luciano;
+            if (element == 'linkNext') return ret_el.Luciano;
+            if (element == 'rateForm') return ret_el.Luciano;
         }
 
@@ -280,30 +269,31 @@
                 switch (jq) {
                 case "ie_ready":
-                    return ret_el.pamoorama
+                    return ret_el.Pamoorama
                     break;
                 case "pamoorama":
-                    return ret_el.pamoorama
+                    return ret_el.Pamoorama
                     break;
                 case ".tab a":
-                    return jQuery(element);
+                    return ret_el.jquery; 
                     break;
 
             } else if (tpe == "boolean") {
-                return ret_el.pamoorama
+                return ret_el.Pamoorama
             }
             if(element)
             if (typeof (element.nodeName) != "undefined") {
             el = element.nodeName;
-            if (el == "DIV") return ret_el.pamoorama
-            if (el == "IMG") return ret_el.pamoorama
+            if (el == "DIV") return ret_el.Pamoorama
+            if (el == "IMG") return ret_el.Pamoorama
             if (el == "#document") {
-                if (Prototype_Version != "0") return ret_el.prototype; //rv_gmaps 
-                if (MooTools_version == "pamoorama") return ret_el.pamoorama;
+                if (Prototype_Version != "0") return ret_el.Prototype; //rv_gmaps 
+                if (MooTools_version == "pamoorama") return ret_el.jquery; 
+                if (MooTools_version == "pamoorama") return ret_el.Pamoorama;
                 return ret_el.jquery; 
             }
             if (el == "BODY") {
                 try {
-                    if (Prototype_Version != "0") return ret_el.prototype; //rv_gmaps 
-                    if (MooTools_version == "pamoorama") return ret_el.pamoorama;
+                    if (Prototype_Version != "0") return ret_el.Prototype; //rv_gmaps 
+                    if (MooTools_version == "pamoorama") return ret_el.Pamoorama;
                     return ret_el.jquery; 
                     return jQuery().$Pamoorama(element) 
@@ -317,6 +307,6 @@
 
         if (element == window) {
-            if (Prototype_Version != "0") return ret_el.prototype; //rv_gmaps 
-            if (MooTools_version == "pamoorama") return ret_el.pamoorama; 
+            if (Prototype_Version != "0") return ret_el.Prototype; //rv_gmaps 
+            if (MooTools_version == "pamoorama") return ret_el.Pamoorama; 
             return ret_el.jquery; 
 
@@ -372,5 +362,5 @@
                         //=== rvmaps ===
                         try {
-                            return ret_el.prototype
+                            return ret_el.Prototype
 
                         } catch (e) { 
@@ -404,5 +394,5 @@
             //=== paMOOramics ===
             // ie_ready,undefined
-            return ret_el.pamoorama
+            return ret_el.Pamoorama
         }
 
@@ -413,5 +403,5 @@
             //=== rvmaps ===
             try {
-                return ret_el.prototype
+                return ret_el.Prototype
             } catch (e) {
                 return jQuery(element);
@@ -463,26 +453,32 @@
     //=============== PaMOOramics ===========================
     $Pamoorama: function (B) {
-  
-        if (!B) {
-            if (typeof (B) == "boolean") return null;
-            return jQuery();
-        }
-        if (B.htmlElement) {
+     
+            if (!B) {
+                return null;
+            }
+            if (B.htmlElement) {
+                return Garbage.collect(B);
+            }
+            if ([window, document].contains(B)) {
+                return B;
+            }
+            var A = $type(B);
+            if (A == "string") {
+                B = document.getElementById(B);
+                A = (B) ? "element" : false;
+            }
+            if (A != "element") {
+                return null;
+            }
+            if (B.htmlElement) {
+                return Garbage.collect(B);
+            }
+            if (["object", "embed"].contains(B.tagName.toLowerCase())) {
+                return B;
+            }
+            $extend(B, Element.prototype);
+            B.htmlElement = function () { };
             return Garbage.collect(B);
-
-        }
-        if ([window, document].contains(B)) { return B; }
-        var A = $type(B);
-        if (A == "string") { B = document.getElementById(B); A = (B) ? "element" : false; }
-        if (A != "element") {
-            return null;
-        }
-        if (B.htmlElement) { return Garbage.collect(B); }
-        if (["object", "embed"].contains(B.tagName.toLowerCase())) { return B; }
-        $extend(B, Element.prototype);
-        B.htmlElement = function () { };
-        try { return Garbage.collect(B); } catch (e) {
-            return;
-        }
+        
 
     },
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7641)
+++ /extensions/Autosize/main.inc.php	(revision 7642)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.3.2
+Version: 1.3.3
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
@@ -15,8 +15,9 @@
 $autosize_controler = new autosize_controler();
 
+//add_event_handler('loc_begin_picture', array(&$autosize_controler, 'cl_add_css'),30);
+add_event_handler('loc_end_picture', array(&$autosize_controler, 'cl_add_css'),30);
+ 
 
 add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), 40 );
-
-
 add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
 
@@ -26,5 +27,4 @@
 //add_event_handler('loc_begin_index', array(&$autosize_controler, 'cl_autosize_script'),51 );
 
-//add_event_handler('load_profile_in_template', array(&$autosize_controler,'cl_autosize_script'),40 );
 
 ?>
